Package org.eclipse.emf.compare

# Interface FeatureMapChange

All Superinterfaces:
  `Diff`, `EObject`, `Notifier`

All Known Implementing Classes:
  `FeatureMapChangeImpl`, `FeatureMapChangeSpec`

public interface FeatureMapChange extends Diff
A representation of the model object 'Feature Map Change'. This particular kind of difference will be used to describe changes within a multi-valued EFeatureMapEntry attribute.

The following features are supported:

- `Attribute`
- `Value`

Since:
  3.2
See Also:
  - `ComparePackage.getFeatureMapChange()`
Generated:

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`

## Method Summary

Modifier and Type
Method
Description
`EAttribute`
`getAttribute()`
Returns the value of the 'Attribute' reference.
`Object`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setAttribute(EAttribute value)`
Sets the value of the '`Attribute`' reference.
`void`
`setValue(Object value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.compare.Diff

`copyLeftToRight, copyRightToLeft, discard, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

static final String copyright

See Also:
  - Constant Field Values
Generated:

## Method Details

### getAttribute

EAttribute getAttribute()
Returns the value of the 'Attribute' reference. The attribute in which "something" changed.

Returns:
  the value of the 'Attribute' reference.
See Also:
  - `setAttribute(EAttribute)`
  - `ComparePackage.getFeatureMapChange_Attribute()`
Generated:

### setAttribute

void setAttribute(EAttribute value)
Sets the value of the '`Attribute`' reference.

Parameters:
  `value` - the new value of the 'Attribute' reference.
See Also:
  - `getAttribute()`
Generated:

### getValue

Object getValue()
Returns the value of the 'Value' attribute. References the actual value on which a difference has been detected.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(Object)`
  - `ComparePackage.getFeatureMapChange_Value()`
Generated:

### setValue

void setValue(Object value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`
Generated: